Package org.opensaml.core.xml.schema.impl

# Class XSBase64BinaryMarshaller

java.lang.Object
org.opensaml.core.xml.io.AbstractXMLObjectMarshaller
org.opensaml.core.xml.schema.impl.XSBase64BinaryMarshaller

All Implemented Interfaces:
  `Marshaller`

Direct Known Subclasses:
  `BinarySecretMarshaller`, `ChannelBindingsMarshaller`, `CombinedHashMarshaller`, `CryptoBinaryMarshaller`, `DEREncodedKeyValueMarshaller`, `GeneratedKeyMarshaller`, `X509DigestMarshaller`

public class XSBase64BinaryMarshaller extends AbstractXMLObjectMarshaller
Thread-safe marshaller of `XSBase64Binary` objects.

## Constructor Summary

Constructors
Constructor
Description
`XSBase64BinaryMarshaller()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`marshallElementContent(XMLObject xmlObject, Element domElement)`
Marshalls data from the XMLObject into content of the DOM Element.

### Methods inherited from class org.opensaml.core.xml.io.AbstractXMLObjectMarshaller

`marshall, marshall, marshall, marshallAttributeIDness, marshallAttributes, marshallChildElements, marshallInto, marshallNamespacePrefix, marshallNamespaces, marshallSchemaInstanceAttributes, marshallUnknownAttributes, setDocumentElement`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XSBase64BinaryMarshaller

public XSBase64BinaryMarshaller()

## Method Details

### marshallElementContent

protected void marshallElementContent(@Nonnull XMLObject xmlObject, @Nonnull Element domElement) throws MarshallingException
Marshalls data from the XMLObject into content of the DOM Element. The default implementation of this method is a no-op.

Overrides:
  `marshallElementContent` in class `AbstractXMLObjectMarshaller`
Parameters:
  `xmlObject` - the XMLObject
  `domElement` - the DOM element recieving the content
Throws:
  `MarshallingException` - thrown if the textual content can not be added to the DOM element